org.hibernate.search.metadata

## Enum FieldSettingsDescriptor.Type

- java.lang.Object
- - java.lang.Enum<FieldSettingsDescriptor.Type>
  - - org.hibernate.search.metadata.FieldSettingsDescriptor.Type

- All Implemented Interfaces:
    Serializable, Comparable<FieldSettingsDescriptor.Type>
  Enclosing interface:
    FieldSettingsDescriptor

      public static enum FieldSettingsDescriptor.Type
      extends Enum<FieldSettingsDescriptor.Type>

  Defines different logical field types

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BASIC` A basic field
    `NUMERIC` A numeric field
    `SPATIAL` A spatial field

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FieldSettingsDescriptor.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static FieldSettingsDescriptor.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BASIC

          public static final FieldSettingsDescriptor.Type BASIC

      A basic field

    - #### NUMERIC

          public static final FieldSettingsDescriptor.Type NUMERIC

      A numeric field

    - #### SPATIAL

          public static final FieldSettingsDescriptor.Type SPATIAL

      A spatial field

  - ### Method Detail

    - #### values

          public static FieldSettingsDescriptor.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FieldSettingsDescriptor.Type c : FieldSettingsDescriptor.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FieldSettingsDescriptor.Type valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved